public class ItemWithUnitPrice extends Item {
  double unitPrice;
  ItemWithUnitPrice(String itemName, int inventory, double price) {
    super(itemName, inventory);
    unitPrice = price;
  }
  public double getUnitPrice() { return unitPrice; }

  @Override
  public String toString() { // overrides toString() from the Item class
    return super.toString() + "\tUnit price: " + String.format("%.2f", unitPrice);
  }
}