public class LowEnergyBulb extends Light {
  int numWatt;                           // hides field from the superclass
  LowEnergyBulb(int numWatt, boolean indicator, String location) {
    super(0, indicator, location);
    this.numWatt = numWatt;              // subclass field
  }
  public String toString() {
    return "[Low-energy bulb: " + numWatt + " Watts, corrsponding to " + super.numWatt
           + " Watts, " + "indicator: " + indicator + ", location: " + location + "]";
  }
  public double convertWattage() {
    switch(numWatt) {                     // subclass field
      case  7: super.numWatt = 40; break; // superclass field
      case 11: super.numWatt = 60; break;
      case 15: super.numWatt = 75; break;
      default: super.numWatt =  0; break;
    }
    return super.numWatt;                 // superclass field
  }
}