import java.util.Scanner;
public class SodaMachineClient {
  public static void main(String[] args) {
    ItemWithUnitPrice[] items = {
        new ItemWithUnitPrice("Coca cola 0.5l", 10, 4.00),
        new ItemWithUnitPrice("Pepsi Max 0.5l", 10, 4.00),
        new ItemWithUnitPrice("Pepsi Light 0.5l", 5, 4.50),
        new ItemWithUnitPrice("Sparkling water 0.5l", 5, 3.00),
        new ItemWithUnitPrice("Coca cola 0.3l", 10, 2.50),
        new ItemWithUnitPrice("Pepsi Max 0.3l", 5, 2.50) };
    SodaMachine automat = new SodaMachine(items, 100.00);
    Scanner keyboard = new Scanner(System.in);
    String answer;
    do {
      automat.showSelections();
      System.out.print("Enter amount: ");
      automat.acceptCash(keyboard.nextDouble());
      System.out.print("Select soda number: ");
      automat.selectItem(keyboard.nextInt());
      System.out.print("Do you want to purchase another soda (y/n)? ");
      answer = keyboard.next();
    } while (answer.charAt(0) == 'y' || answer.charAt(0) == 'Y');
    System.out.println("Status for the automat:");
    automat.showSelections();
  }
}
