import java.util.Scanner;

public class VendingMachineClient2 {
  public static void main(String[] args) {
    Item[] items = { new Item("Coca cola 0.5l", 20),
        new Item("Pepsi Max 0.5l", 10), new Item("Pepsi Light 0.5l", 5),
        new Item("Sparkling water 0.5l", 5), new Item("Coca cola 0.3l", 10),
        new Item("Pepsi Max 0.3l", 5) };
    VendingMachine automat = new VendingMachine(items, 2.50, 100.0);
    Scanner keyboard = new Scanner(System.in);
    String reply;
    do {
      automat.showSelections();
      System.out.print("Enter amount: ");
      automat.acceptCash(keyboard.nextDouble());
      System.out.print("Select soda number: ");
      automat.selectItem(keyboard.nextInt());
      System.out.print("Do you want to buy another soda (y/n)? ");
      reply = keyboard.next();
    } while (reply.charAt(0) == 'y' || reply.charAt(0) == 'Y');
    System.out.println("Status for the soda machine:");
    automat.showSelections();
  }
}