public class Cube extends Rectangle {
  double height;

  Cube(double width, double length, double height) {
    super(width, length);            // calling superclass constructor
    this.height = height;
  }
  public double calcSurface() {
    return 2 * ((width*length)       // access by simple field name
           +(this.width*height)      // access by this-reference
           +(this.length*height));
  }
  public double calcVolume() {
    return calcArea() * height;      // access by simple method name
  }
  public String toString() {
    return "[" + getClass()          // access by simple method name
           + ": width=" + width + ", length=" + length
           + ", height=" + height + "]";
  }
}