public class Item {
  String itemName;   // name of the item that can be purchased
  int inventory;     // number of items in stock
  Item(String itemName, int inventory) {
    assert inventory >= 0 :
      "The inventory must be more than 0 items.";
    this.itemName = itemName;
    this.inventory = inventory;
  }
  public String getItemName() { return itemName; }
  public int getInventory() { return inventory; }
  public void setInventory(int inventory) {
    assert inventory >= 0 :
      "The inventory must be more than 0 items.";
    this.inventory = inventory;
  }
  public String toString() { // overrides toString() from the Object class
    return "\nItem name: " + itemName +
    "\tInventory: " + inventory;
  }
}