public class Lighting {

  public static void main(String[] args) {
    // Create a light bulb.
    LightBulb bulb = new LightBulb(40, false, "living room", true);

    bulb.turnOn(); // inherited method
    System.out.println("The light bulb in the living room is " +
                       bulb.numWatt + " Watt"); //inherited field

    if (bulb.isMatt())                        // subclass method
      System.out.println("The lightbulb is matt.");
    else
      System.out.println("The lightbulb is clear.");

    if (bulb.isOn())                          // inherited method
      System.out.println("The living room light is on.");
    else
      System.out.println("The living room light is off.");

    System.out.println(bulb);

    // Create an ordinary light.
    Light outLight = new Light(75, true, "outdoor");

    outLight.turnOff();
    System.out.println("The outdoor light is " + outLight.numWatt + " Watts");

    if (outLight.isOn())
      System.out.println("The outdoor light is on.");
    else
      System.out.println("The outdoor light is off.");

    System.out.println(outLight);

  }
}