public class SodaMachine extends VendingMachine {

  SodaMachine(ItemWithUnitPrice[] items, double change) {
    super(items, 0.0, change);
  }

  @Override
  public double findPrice(int selectedItem) {
    return ((ItemWithUnitPrice)items[selectedItem]).getUnitPrice();
  }

  @Override
  public void showSelections() {
    String str = "The vending machine contains:";
    str += super.toString();
    str += "\nChange available: " + formatMoney(super.change) + " GBP";
    str += "\nTill contains: " + formatMoney(super.till) + " GBP";
    str += "\nInserted amount: " + formatMoney(super.receivedAmount) + " GBP";
    System.out.println(str);
  }
}